# Copyright (c) 2020, 2021, Oracle and/or its affiliates.
# Licensed under the Universal Permissive License v 1.0 as shown at https://oss.oracle.com/licenses/upl.
topology:
    Cluster:
        '$ARTIFACT_ID':
            DynamicServers:
                ServerTemplate:  '$ARTIFACT_ID-template'
                ServerNamePrefix: '$ARTIFACT_ID-'
                DynamicClusterSize: '@@PROP:CLUSTER_SIZE@@'
                MaxDynamicClusterSize: '@@PROP:CLUSTER_SIZE@@'
                MinDynamicClusterSize: '0'
                CalculatedListenPorts: false
    ServerTemplate:
        '$ARTIFACT_ID-template':
            Cluster: '$ARTIFACT_ID'
            ListenPort: 7003

appDeployments:
    $TYPE:
        $ARTIFACT_ID:
            SourcePath: 'wlsdeploy/applications/$ARTIFACT_ID/$ARTIFACT_ID-$VERSION.$PACKAGING'
            ModuleType: $PACKAGING
            Target: '$ARTIFACT_ID'

resources:
  SelfTuning:
    MinThreadsConstraint:
      SampleMinThreads:
        Target: '$ARTIFACT_ID'
        Count: 1
    MaxThreadsConstraint:
      SampleMaxThreads:
        Target: '$ARTIFACT_ID'
        Count: 10
    WorkManager:
      SampleWM:
        Target: '$ARTIFACT_ID'
        MinThreadsConstraint: 'SampleMinThreads'
        MaxThreadsConstraint: 'SampleMaxThreads'
  WebAppContainer:
    WeblogicPluginEnabled: true

